
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k/stdma: Use wait_event() instead of the deprecated sleep_on() function. 
Since wait_event() expects the condition passed in to be the stopping
condition, negate the current one.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/m68k/atari/stdma.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN arch/m68k/atari/stdma.c~m68k-stdma-replace-sleep_on-with-wait_event arch/m68k/atari/stdma.c
--- 25/arch/m68k/atari/stdma.c~m68k-stdma-replace-sleep_on-with-wait_event	2005-03-21 22:46:05.000000000 -0800
+++ 25-akpm/arch/m68k/atari/stdma.c	2005-03-21 22:46:05.000000000 -0800
@@ -34,6 +34,7 @@
 #include <linux/sched.h>
 #include <linux/init.h>
 #include <linux/interrupt.h>
+#include <linux/wait.h>
 
 #include <asm/atari_stdma.h>
 #include <asm/atariints.h>
@@ -81,11 +82,10 @@ void stdma_lock(irqreturn_t (*handler)(i
 
 	local_irq_save(flags);		/* protect lock */
 
-	while(stdma_locked)
-		/* Since the DMA is used for file system purposes, we
-		 have to sleep uninterruptible (there may be locked
-		 buffers) */
-		sleep_on(&stdma_wait);
+	/* Since the DMA is used for file system purposes, we
+	 have to sleep uninterruptible (there may be locked
+	 buffers) */
+	wait_event(stdma_wait, !stdma_locked);
 
 	stdma_locked   = 1;
 	stdma_isr      = handler;
_
